[@rxap/window-system](../wiki/globals) / WindowTaskBarComponent

# Class: WindowTaskBarComponent

Defined in: [packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:22](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts#L22)

## Implements

- `OnInit`
- `OnDestroy`

## Constructors

### new WindowTaskBarComponent()

> **new WindowTaskBarComponent**(`windowService`, `cdr`): [`WindowTaskBarComponent`](../wiki/Class.WindowTaskBarComponent)

Defined in: [packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:26](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts#L26)

#### Parameters

##### windowService

[`WindowService`](../wiki/Class.WindowService)

##### cdr

`ChangeDetectorRef`

#### Returns

[`WindowTaskBarComponent`](../wiki/Class.WindowTaskBarComponent)

## Properties

### cdr

> **cdr**: `ChangeDetectorRef`

Defined in: [packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:28](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts#L28)

***

### subscriptions

> **subscriptions**: `Subscription`

Defined in: [packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:24](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts#L24)

***

### windowService

> **windowService**: [`WindowService`](../wiki/Class.WindowService)

Defined in: [packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:27](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts#L27)

## Methods

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:38](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts#L38)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`

***

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts:32](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-task-bar/window-task-bar.component.ts#L32)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`OnInit.ngOnInit`
